Bug 175636 - RFE: allow pcscd to load non-OSS driver modules
RFE: allow pcscd to load non-OSS driver modules
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-12-13 11:53 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.1.6-17
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-29 17:32:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-12-13 11:53:16 EST
Some OMNIKEY (CardMan 2020, CardMan 4000) and SCM Microsystems (SCR24x) smart
card reader drivers include a non-PIC binary-only pcsc-lite driver module, which
doesn't work with selinux-policy-targeted out of the box; audit.log says execmod
denied for pcscd when it tries to load these.

Setting this:


...to system_u:object_r:textrel_shlib_t would fix it AFAICT.
Comment 1 Ville Skyttä 2005-12-24 15:48:28 EST
Thanks, I see this has been applied in recent selinux policy packages.  However,
my regexp above and the one in the policy is buggy, it should be:


ie. one of the libs is libSCR24x.so, not libcmSCR24x.so.  Sorry about that.
Comment 2 Daniel Walsh 2005-12-27 10:39:32 EST
Fixed in  2.1.6-17
Comment 3 Ville Skyttä 2006-01-29 17:32:02 EST

Note You need to log in before you can comment on or make changes to this bug.